/****************************************************************************************************

		CommonComDefines.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	3/19/2004

****************************************************************************************************/

#ifndef __CommonComDefines__
#define __CommonComDefines__


//This file contains defines used both in the code and in the resources

#include "MCCommonResDefines.h"

#define kExtraCompInfoTypeID	'CINF'


//Defines for the type kExtraCompInfoTypeID

//For the fPrefsCompID field
#define kNoPrefs		0

//For the fPlatforms field
//=> moved to MCCommonResDefines.h

//For the fAppKinds field (your app can define other constants between 1<<8 and 1<<15)
#define kMainAppKind				(1<<0)
#define kRenderNodeAppKind			(1<<1)
//#define kBasicAppKind				(1<<2)
#define kCanvasAppKind				(1<<2)
#define kStandardAppKind			(1<<3)
#define kProAppKind					(1<<4)
#define kRenderNodeAndMainAppKind	(kMainAppKind | kRenderNodeAppKind)
#define kAnyVersionAppKind			(kCanvasAppKind | kStandardAppKind | kProAppKind)
#define kAnyAppKind					0xFFFF

//For the fAppModes field (your app can define other constants between 1<<8 and 1<<15)
#define kNormalAppMode				(1<<0)
#define kDemoAppMode				(1<<1)
#define kPLEAppMode					(1<<2)
#define kAnyAppMode					0xFFFF


#endif
